<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSupportsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: supports
         */
        Schema::create('supports', function ($table) {
            $table->increments('id');
            $table->integer('buyer_id')->nullable();
            $table->integer('supplier_id')->nullable();
            $table->integer('order_id')->nullable();
            $table->enum('support_category', ['product','order','return','shipping'])->nullable();
            $table->string('title', 255)->nullable();
            $table->text('content')->nullable();
            $table->text('attachments')->nullable();
            $table->enum('status', ['open','closed'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('supports');
    }
}
