<?php

// API routes  for support
Route::prefix('{guard}/support')->group(function () {
    Route::get('support/form/{element}', 'SupportAPIController@form');
    Route::resource('support', 'SupportAPIController');
});

// Public routes for support
Route::get('supports/', 'SupportPublicController@index');
Route::get('supports/{slug?}', 'SupportPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for supports
            Route::prefix('{guard}/support')->group(function () {
                Route::get('support/form/{element}', 'SupportAPIController@form');
                Route::apiResource('support', 'SupportAPIController');
            });
            // Public routes for supports
            Route::get('support/Support', 'SupportPublicController@getSupport');
        }
    );
}

