<?php

// web routes  for support
Route::prefix('{guard}/support')->group(function () {
    Route::resource('support', 'SupportResourceController');
});

// Public routes for support
Route::get('supports/', 'SupportPublicController@index');
Route::get('supports/{slug?}', 'SupportPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SupportResourceController');
            });
            // Public routes for pages
            Route::get('supports/', 'SupportPublicController@index');
            Route::get('supports/{slug?}', 'SupportPublicController@show');
        }
    );
}

