<?php

namespace B2buy\Support\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SupportTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Support\Models\Support $support)
    {
        return [
            'id'                => $support->getRouteKey(),
            'key'               => [
                'public'    => $support->getPublicKey(),
                'route'     => $support->getRouteKey(),
            ], 
            'buyer_id'          => $support->buyer_id,
            'supplier_id'       => $support->supplier_id,
            'order_id'          => $support->order_id,
            'support_category'  => $support->support_category,
            'title'             => $support->title,
            'content'           => $support->content,
            'attachments'       => $support->attachments,
            'slug'              => $support->slug,
            'deleted_at'        => $support->deleted_at,
            'url'               => [
                'public'    => trans_url('support/'.$support->getPublicKey()),
                'user'      => guard_url('support/support/'.$support->getRouteKey()),
            ], 
            'status'            => trans('app.'.$support->status),
            'created_at'        => format_date($support->created_at),
            'updated_at'        => format_date($support->updated_at),
        ];
    }
}