<?php

namespace B2buy\Support;

use User;

class Support
{
    /**
     * $support object.
     */
    protected $support;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Support\Interfaces\SupportRepositoryInterface $support)
    {
        $this->support = $support;
    }

    /**
     * Returns count of support.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.support.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->support->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\SupportUserCriteria());
        }

        $support = $this->support->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('support::' . $view, compact('support'))->render();
    }
}
